<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzya.frame.plugin.lets.dao.impl.BdRdclDaoImpl">

    <resultMap id="get-BdRdclEntity-result" type="com.hzya.frame.plugin.lets.entity.BdRdclEntity" >
       <result property="dr" column="dr" jdbcType="INTEGER"/>
           <result property="iflag" column="iflag" jdbcType="INTEGER"/>
           <result property="pkCorp" column="pk_corp" jdbcType="VARCHAR"/>
           <result property="pkFrdcl" column="pk_frdcl" jdbcType="VARCHAR"/>
           <result property="pkRdcl" column="pk_rdcl" jdbcType="VARCHAR"/>
           <result property="rdcode" column="rdcode" jdbcType="VARCHAR"/>
           <result property="rdflag" column="rdflag" jdbcType="INTEGER"/>
           <result property="rdname" column="rdname" jdbcType="VARCHAR"/>
           <result property="sealflag" column="sealflag" jdbcType="VARCHAR"/>
           <result property="ts" column="ts" jdbcType="VARCHAR"/>
        </resultMap>
    <!-- 查询的字段-->
    <sql id = "BdRdclEntity_Base_Column_List">
        dr
       ,iflag 
        ,pk_corp 
        ,pk_frdcl 
        ,pk_rdcl 
        ,rdcode 
        ,rdflag 
        ,rdname 
        ,sealflag 
        ,ts 
     </sql>
 <!-- 查询 采用==查询 -->
 <select id="entity_list_base" resultMap="get-BdRdclEntity-result" parameterType = "com.hzya.frame.plugin.lets.entity.BdRdclEntity">
    select
    <include refid="BdRdclEntity_Base_Column_List" />
    from bd_rdcl
    <trim prefix="where" prefixOverrides="and"> 
        <if test="dr != null"> and dr = #{dr} </if>
            <if test="iflag != null"> and iflag = #{iflag} </if>
            <if test="pkCorp != null and pkCorp != ''"> and pk_corp = #{pkCorp} </if>
            <if test="pkFrdcl != null and pkFrdcl != ''"> and pk_frdcl = #{pkFrdcl} </if>
            <if test="pkRdcl != null and pkRdcl != ''"> and pk_rdcl = #{pkRdcl} </if>
            <if test="rdcode != null and rdcode != ''"> and rdcode = #{rdcode} </if>
            <if test="rdflag != null"> and rdflag = #{rdflag} </if>
            <if test="rdname != null and rdname != ''"> and rdname = #{rdname} </if>
            <if test="sealflag != null and sealflag != ''"> and sealflag = #{sealflag} </if>
            <if test="ts != null and ts != ''"> and ts = #{ts} </if>
            and dr='0'
    </trim>
 </select>
    


</mapper>

